Subject: Re: fork() fails for network-mounted executables
From: [email-masked] (Shankar Unni)

27 Jan 1997 12:46:13 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (X11; I; SunOS 5.5.1 sun4u)
Original-To: [email-masked]
Original-Sender: [email-masked]

Shankar Unni wrote:
> 
> Shankar Unni wrote:
> 
> > On Windows 95, if an executable calling fork() lives in a
> > network-mounted directory, the fork() fails with errno = 13 (EACCES -
> > Permission denied).
> 
> This only happens with directories mounted from Unix machines that run
> Samba (all our servers, unfortunately). It seems to work OK when I run
> it in a directory mounted from another Windows machine.

OK, I tracked this down to the fact that we were running Samba 1.9.15
pl8. Moving to Samba 1.9.16 pl9 fixed this problem. Just FYI, in case
others are running into something similar.
-- 
Shankar Unni                                  [email-masked]
Chromatic Research                            (408) 752-9488
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".